Fetch All Accounts
curl --request POST \
--url https://api.paytring.com/api/v2/payout/accounts \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"pg": "<string>"
}
'import requests
url = "https://api.paytring.com/api/v2/payout/accounts"
payload = { "pg": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({pg: '<string>'})
};
fetch('https://api.paytring.com/api/v2/payout/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"accounts\": {\n \"cashfree\": {\n \"status\": false,\n \"error\": {\n \"message\": \"Internal Server Error, Invalid response received from payment gateway.\",\n \"code\": \"INTERNAL_SERVER_ERROR\"\n }\n },\n \"decentro\": {\n \"status\": true,\n \"data\": [\n {\n \"account_number\": \"936551184xxxxxxxxxxxx77\",\n \"ifsc_code\": \"Dxxxxxxx11\",\n \"account_type\": \"VIRTUAL\",\n \"currency\": \"INR\",\n \"available_balance\": 0,\n \"account_balance\": 0,\n \"minimum_balance\": 0,\n \"hold_fund\": null,\n \"overdraft\": null,\n \"transaction_limit\": 1000000\n }\n ]\n }\n }\n}""{\n \"status\": false,\n \"error\": {\n \"message\": \"Hash is not verified\",\n \"code\": 204\n }\n}"Payout Management
Fetch All Accounts
POST
/
api
/
v2
/
payout
/
accounts
Fetch All Accounts
This API retrieves all accounts associated with the payout system.
Request Body
{
"pg": "string" // Optional: Specify the payment gateway to fetch accounts for
}
Responses
200 OK
{
"status": true,
"accounts": [
{
"pg": "string",
"account_id": "string",
"balance": 1000.00
}
]
}
400 Bad Request
{
"status": false,
"error": {
"message": "Invalid request",
"code": 400
}
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
pg of which acounts needs to be fetched
⌘I

